# 전자서명 템플릿 목록 조회 API

현재 비즈니스에 등록된 전자서명 템플릿 목록을 확인할 수 있습니다.

<br>

## `GET` kit-api/v1/signature-templates

Method: GET\
Endpoint: kit-api/v1/signature-templates

<br>

## Example

```
...kit-api/v1/signature-templates?limit=10&offset=0
```

<br>

## Request Query

| Key            | Description                             | Required |
| -------------- | --------------------------------------- | -------- |
| limit          | 목록 개수 (default 10, max 100)             | no       |
| offset         | 스킵할 목록 개수                               | no       |
| title          | 전자서명 템플릿 이름으로 필터 (string)               | no       |
| tagIds         | 연결된 계약서 태그로 필터 (쉼표로 구분: ex. tagIds=2,3) | no       |
| signatureCount | 연결된 서명 개수도 함께 조회할지 여부 (true, false)     | no       |
| slug           | 템플릿의 slug 값으로 필터 (string)               | no       |

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    "templates": [
      // 전자서명 템플릿 목록 (계약서의 파일은 계약서 상세 조회 API에서 조회할 수 있습니다.)
      {
        "id": 12345, // 고유 식별 id
        "name": "MOU 템플릿", // 전자서명 템플릿 이름
        "participantType": "TOGETHER", // 서명 타입 (순서대로 서명 여부 - TOGETHER, ORDER)
        "slug": "test_slug_03232", // slug(문자)
        "ccEmails": ["cc@prix.im"], // 워크플로우 이메일 참조자
        "createdAt": "2024-07-15T00:00:00.000Z", // 생성일
        "updatedAt": "2024-07-15T00:00:00.000Z", // 수정일
        "managerNames": ["이용우"], // 계약서 담당자 이름 목록
        "signatureCount": 3, // signatureCount=true로 넘긴 경우에만 확인 가능
        "participants": [
          {
            // 전자서명 참여자
            "id": 987, // 고유 식별 id
            "order": 1, // 전자서명 참여 순서
            "role": "고객" // 역할 이름 (ex. 갑, 고객, 등)
          }
        ]
      }
    ],
    "total": 1
  }
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature-template/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
